# The original Flatbed Cursors sources README

See the file INSTALL for installation instructions.


CUSTOMIZE YOUR CURSORS
----------------------

Despite the actual svg files a lot of customization can be
done when building the cursors.

All configuration options are in the "CONFIG" file, which gets
processed by the install scripts.

Edit the CONFIG files for colors, transparency and various other options.


COMPLETE INSTALLATION
---------------------

Use the installation script:

    $ ./install-all


BUILDING AN RPM
---------------

Use the distribution script to build RPMs:

    $ sudo ./build-distribution

Due to the installation path of /usr/share and no binary dependency the RPM
can get build as "noarch" version.


PITFALLS
--------

- KDE's control center Mouse Theme Installation does not support symlinks
  in the packed archives (tar). This produces *big* overhead for syncing
  the different naming schemes. See http://bugs.kde.org/show_bug.cgi?id=84938 .
- Gnome puts different cursor sizes in one xcursor file, which might be
  ment the way to do, but is not the way Flatbed Cursors are build. And Gnome
  supports distinct cursor sizes only (16,24,32,48 pixels), so the "Large" size
  (40 pixels) will not show up. Workaround: edit your
  ~/.gconf/desktop/gnome/peripherals/mouse/%gconf.xml file to point to the
  desired cursor theme name.
- If you are missing some cursors issue "export XCURSOR_DISCOVER=1"
  and re-start the application to find the corresponding cursor hash.
  Report it to me or link it yourself in the ~/icons directory.


NAMING CURSORS
--------------

See the FlatbedCursors sources cursorlinks file.
